NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
List of all members
NXOpen.Features.SketchFitCurveBuilder Class Reference

Sketch Fit Curve builder class. More...

Inheritance diagram for NXOpen.Features.SketchFitCurveBuilder:
NXOpen.Features.FitCurveBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Additional Inherited Members

- Public Types inherited from NXOpen.Features.FitCurveBuilder
enum  FittingParametersOptions { DegreeAndSegments, DegreeAndTolerance, TemplateCurve }
 Fitting parameters options More...
 
enum  ProjectionDirectionOptions {
  Xc, Yc, Zc, Normal,
  View, Vector
}
 Auxiliary curve projection direction options More...
 
enum  TargetSourceTypes {
  Infer, SpecifiedPoints, ChainedPoints, Curve,
  Face, FacetBody
}
 Fitting target types More...
 
enum  Types { FitSpline, FitLine, FitCircle, FitEllipse }
 Fitting types More...
 
- Public Member Functions inherited from NXOpen.Features.FitCurveBuilder
unsafe void ChainAllPoints ()
 Chains all the points in work part based on one selected point and evaluates the curve. More...
 
unsafe void DeleteTargetPoints (NXOpen.Point[] points)
 Deletes target points More...
 
unsafe void Evaluate ()
 Evaluates the curve More...
 
unsafe NXOpen.Point GetFinalTargetPoint (int index)
 Returns the target point that are finally used for fitting More...
 
unsafe int GetFinalTargetPointsSize ()
 Returns the number of target points that are finally used for fitting More...
 
unsafe void MakeConstraint (NXOpen.Point point)
 In case of point targets, makes a target point a positional constraint. More...
 
unsafe void RemoveConstraint (NXOpen.Point point)
 Makes existing positional constraint a free target point More...
 
unsafe void UpdateTargetSelectionOnPointEditing ()
 Updates target selection by replacing original point by edited point. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.Features.FitCurveBuilder
unsafe bool CanKeepTemplateSelected [get, set]
 Returns or sets the flag indicating if template curve should be kept selected More...
 
unsafe bool CanRejectPointsAutomatically [get, set]
 Returns or sets the flag indicating if points beyond a threshold value should be ignored during fitting More...
 
unsafe bool CanUseAllPointsInPart [get, set]
 Returns or sets the flag indicating if all points in the part can be used for chaining More...
 
unsafe
NXOpen.Features.GeometricConstraintDataManager 
ConstraintManager [get]
 Returns the constraint manager More...
 
unsafe int Degree [get, set]
 Returns or sets the degree More...
 
unsafe
NXOpen.GeometricUtilities.CurveExtensionBuilder 
Extender [get]
 Returns the extension option More...
 
unsafe
NXOpen.Features.FitCurveBuilder.FittingParametersOptions 
FittingParameters [get, set]
 Returns or sets the fitting parameters More...
 
unsafe bool HasRadius [get, set]
 Returns or sets the has radius More...
 
unsafe bool HasReversedDirection [get, set]
 Returns or sets the flag indicating if fitted curve direction should be reversed More...
 
unsafe bool HasUniformSegments [get, set]
 Returns or sets the flag indicating if uniform segments should be created More...
 
unsafe bool IsAssociative [get, set]
 Returns or sets the flag indicating if a feature should be created More...
 
unsafe bool IsClosedBSpline [get, set]
 Returns or sets the flag indicating if a closed b-spline is to be fitted More...
 
unsafe bool IsClosedCurve [get, set]
 Returns or sets the flag indicating if a full circle or ellipse is to be fitted More...
 
unsafe NXOpen.Direction ProjectionDirection [get, set]
 Returns or sets the projection direction More...
 
unsafe
NXOpen.Features.FitCurveBuilder.ProjectionDirectionOptions 
ProjectionDirectionOption [get, set]
 Returns or sets the projection direction option More...
 
unsafe NXOpen.Expression Radius [get]
 Returns the circle radius More...
 
unsafe NXOpen.Expression RejectionThreshold [get]
 Returns the rejection threshold More...
 
unsafe int Segments [get, set]
 Returns or sets the segments More...
 
unsafe
NXOpen.SelectTaggedObjectList 
Target [get]
 Returns the target objects. More...
 
unsafe
NXOpen.Features.FitCurveBuilder.TargetSourceTypes 
TargetSourceType [get, set]
 Returns or sets the target type More...
 
unsafe NXOpen.SelectSpline TemplateCurve [get]
 Returns the template curve More...
 
unsafe double Tolerance [get, set]
 Returns or sets the tolerance More...
 
unsafe
NXOpen.Features.FitCurveBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 

Detailed Description

Sketch Fit Curve builder class.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateSketchFitCurveBuilder

Default values.

Property Value

IsClosedCurve

true

ProjectionDirectionOption

Normal

Radius.Value

50.0 (millimeters part), 2.0 (inches part)

RejectionThreshold.Value

10.0 (millimeters part), 0.5 (inches part)

Created in NX8.5.0


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.